FUNCTION::CMDLINE_AR(3stap)

NAME
function::cmdline_args - Fetch command line arguments from current process

SYNOPSIS

    cmdline_args:string(n:long,m:long,delim:string)

ARGUMENTS

n
    First argument to get (zero is normally the program itself)

m
    Last argument to get (or minus one for all arguments after n)

delim
    String to use to separate arguments when more than one.

DESCRIPTION

Returns arguments from the current process starting with argument number n, up to argument m. If there are less than n arguments, or the arguments cannot be retrieved from the current process, the empty string is returned. If m is smaller than n then all arguments starting from argument n are returned. Argument zero is traditionally the command itself.

SEE ALSO
tapset::context(3stap)